Cloady Docs
API ReferenceEndpointsWorkspaces

Get workspace billing info

GET
/api/workspaces/{workspaceSlug}/billing
AuthorizationBearer <token>

Personal API token (cldy_…)

In: header

Path Parameters

workspaceSlug*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/workspaces/string/billing"
{  "billing": {    "quota": {      "cpu": 0,      "memory": 0,      "storage": 0    },    "usage": {      "cpu": 0,      "memory": 0,      "storage": 0    },    "billable": {      "cpu": 0,      "memory": 0,      "storage": 0    },    "lines": [      {        "key": "cpu",        "amount": 0,        "units": 0,        "cents": 0,        "rateCents": 0      }    ],    "monthlyCents": 0,    "thisMonthCents": 0,    "dueTodayCents": 0,    "nextMonthCents": 0,    "hasSubscription": true,    "free": true,    "status": "string",    "currentPeriodEnd": "string",    "currency": "string",    "portalAvailable": true,    "paymentMethod": {      "brand": "string",      "last4": "string",      "expMonth": 0,      "expYear": 0    },    "paymentMethodSource": "workspace"  }}